=== debian/changelog ===
liquidsoap (1.3.3-2) unstable; urgency=medium

  * Fix build errors on armel and mips*
  * Bump Standards-Version (no change)
  * Include Breaks/Replaces for old plugin packages

 -- Kyle Robbertze <krobbertze@gmail.com>  Tue, 04 Sep 2018 20:35:40 +0200

liquidsoap (1.3.3-1) unstable; urgency=medium

  * New upstream release (closes: #878896, #841871, LP: #378151)
  * Remove outdated note about MP3 encoding (closes: #721639)
  * Make copyright machine readable
  * Drop unmaintained liguidsoap binary package
  * Drop unsupported dynamic plugins for static ones
  * Bump compat to 10 (no change)
  * Bump standards version to 4.2.0 (fix user management)
  * Add user to audio group (closes: #827218)
  * Convert to use dh
  * Add new uploader

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 06 Aug 2018 15:29:41 +0200
