=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
           Romain Beauxis <toots@rastageeks.org>,
           Samuel Mimram <smimram@debian.org>
Build-Depends:
 debhelper (>= 10),
 ocaml-nox,
 dh-ocaml (>= 1.0.1),
 ocaml-findlib,
 libcry-ocaml-dev (>= 0.6.0),
 libogg-ocaml-dev (>= 0.5.0),
 libvorbis-ocaml-dev (>= 0.7.0),
 libmad-ocaml-dev (>= 0.4.4),
 libdtools-ocaml-dev (>= 0.3.4),
 libtaglib-ocaml-dev (>= 0.3.0),
 libcamomile-ocaml-dev,
 festival,
 fonts-liberation,
 libxml-dom-perl,
 dh-elpa,
 libao-ocaml-dev (>= 0.2.0),
 libduppy-ocaml-dev (>= 0.6.0),
 libalsa-ocaml-dev (>= 0.2.1) [linux-any],
 libpcre-ocaml-dev,
 sox,
 libsoundtouch-ocaml-dev (>= 0.1.7),
 libinotify-ocaml-dev (>=1.0) [linux-any],
 liblastfm-ocaml-dev (>= 0.3.0),
 libspeex-ocaml-dev (>= 0.2.1),
 libgavl-ocaml-dev (>= 0.1.4),
 libtheora-ocaml-dev (>= 0.3.1),
 libportaudio-ocaml-dev (>= 0.2.0),
 libpulse-ocaml-dev (>= 0.1.2),
 libladspa-ocaml-dev (>= 0.1.4),
 libsamplerate-ocaml-dev (>= 0.1.1),
 libxmlplaylist-ocaml-dev (>= 0.1.3),
 libmagic-ocaml-dev,
 libbjack-ocaml-dev (>= 0.1.3),
 libsdl-ocaml-dev,
 libfaad-ocaml-dev (>= 0.3.3),
 libmm-ocaml-dev (>= 0.3.0),
 libflac-ocaml-dev (>= 0.1.2),
 libopus-ocaml-dev (>= 0.1.1),
 libfrei0r-ocaml-dev (>= 0.1.0),
 libshine-ocaml-dev (>=0.2.0),
 libvoaacenc-ocaml-dev,
 libmp3lame-ocaml-dev (>= 0.3.2),
 libdssi-ocaml-dev (>= 0.1.1),
 liblo-ocaml-dev (>= 0.1.0),
 libcamlimages-ocaml-dev (>= 4.0.1-6),
 libyojson-ocaml-dev,
 libgstreamer-ocaml-dev (>= 0.2.0),
 libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
 fonts-liberation
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 ocaml-base-nox,
 libcamomile-ocaml-data (>= 0.8),
 wget,
 sox,
 adduser
Recommends:
 logrotate,
 mp3gain,
 vorbisgain,
 vorbis-tools,
Suggests:
 icecast2,
 festival,
 mplayer,
Provides:
 ${ocaml:Provides}
Replaces:
 liquidsoap-plugin-all,
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-frei0r,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-opus,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-schroedinger,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-shine,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist
Breaks:
 liquidsoap-plugin-all,
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-frei0r,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-opus,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-schroedinger,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-shine,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Suggests: liquidsoap
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.
