=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\///,\
  compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .download*/v?\d\S+/liquidsoap.(\d\S+).tar.bz2
