## liquidsoap 1.3.4

=== src/Makefile ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
 	decoder/external_decoder.ml decoder/raw_audio_decoder.ml
 
+$(call conditional_compilation,decoders,$(W_FFMPEG),decoder/ffmpeg_decoder.ml)
 $(call conditional_compilation,decoders,$(W_FLAC),decoder/flac_decoder.ml)
 $(call conditional_compilation,decoders,$(W_FAAD),decoder/aac_decoder.ml)
 $(call conditional_compilation,decoders,$(W_OGG),decoder/ogg_decoder.ml)
@@ -194,14 +195,15 @@
 $(call conditional_compilation,io,$(W_PULSEAUDIO),io/pulseaudio_io.ml)
 $(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)
 
-tools = tools/stdlib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
+tools = tools/extralib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
 	tools/rqueue.ml \
 	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
 	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
 	tools/wav_aiff.ml tools/tutils.ml tools/JSON.ml \
 	tools/file_watcher.ml tools/file_watcher_mtime.ml \
+  $(if $(W_DYNLINK),tools/dyntools.ml) \
   configure.ml tools/process_handler.ml \
-  $(if $(W_DYNLINK),tools/dyntools.ml) \
+	$(if $(W_FFMPEG),tools/ffmpeg_config.ml) \
 	tools/http.ml \
   $(if $(W_SSL),tools/https.ml) \
   $(if $(W_OSX_SECURE_TRANSPORT),tools/https_secure_transport.ml) \
@@ -225,6 +227,7 @@
 builtins = lang/lang_builtins.ml lang/builtins_json.ml \
            lang/builtins_harbor.ml lang/builtins_dtools.ml \
            lang/builtins_time.ml lang/builtins_callbacks.ml \
+					 lang/builtins_server.ml \
            $(if $(W_SSL),lang/builtins_https.ml lang/builtins_harbor_ssl.ml) \
            $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_https_secure_transport.ml lang/builtins_harbor_secure_transport.ml)
 
@@ -232,8 +235,8 @@
 $(call conditional_compilation,builtins,$(W_MAGIC),lang/builtins_magic.ml)
 $(call conditional_compilation,builtins,$(W_CRY),lang/builtins_cry.ml)
 
-liquidsoap_sources= shutdown.ml \
-	$(tools) SVN.ml converters/audio_converter.ml $(stream) \
+liquidsoap_sources= \
+	$(tools) REVISION.ml converters/audio_converter.ml $(stream) \
 	decoder/decoder.ml request.ml tools/server.ml \
         source.ml clock.ml tools/rutils.ml \
 	playlist_parser.ml $(encoder_formats) encoder.ml \
@@ -266,7 +269,3 @@
 $(call conditional_compilation,stream,$(W_GSTREAMER),tools/gstreamer_utils.ml)
 $(call conditional_compilation,decoders,$(W_GSTREAMER),decoder/gstreamer_decoder.ml)
 $(call conditional_compilation,encoders,$(W_GSTREAMER),encoder/gstreamer_encoder.ml)
-$(call conditional_compilation,operators,$(W_GSTREAMER),operators/video_text_gstreamer.ml)
-$(call conditional_compilation,io,$(W_GSTREAMER),io/gstreamer_io.ml)
-
-liquidsoap_sources += \
