=== debian/changelog ===
liquidsoap (1.3.4-1) unstable; urgency=medium

  * Remove /usr/share/liquidsoap on purge (Closes: #668751)
  * New upstream version 1.3.4
  * Bump camomile version
  * Bump Standards-Version (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Sun, 17 Feb 2019 17:35:44 +0200
