=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libmad-ocaml-dev (>= 0.4.4),
  libdtools-ocaml-dev (>= 0.3.4),
  libtaglib-ocaml-dev (>= 0.3.0),
- libcamomile-ocaml-dev,
+ libcamomile-ocaml-dev (>= 1.0.0),
  festival,
  fonts-liberation,
  libxml-dom-perl,
@@ -55,7 +55,7 @@
  libgstreamer-ocaml-dev (>= 0.2.0),
  libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
  fonts-liberation
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: http://savonet.sourceforge.net/
@@ -68,7 +68,7 @@
  ${ocaml:Depends},
  ${perl:Depends},
  ocaml-base-nox,
- libcamomile-ocaml-data (>= 0.8),
+ libcamomile-ocaml-data (>= 1.0.0),
  wget,
  sox,
  adduser
