=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-SUBDIRS=tools decoder playlists encoder protocols plugins stream lang \
+SUBDIRS=tools \
+	$(if $(filter-out "Unix","$(OS_TYPE)"),win32) \
+	$(if $(filter-out "Win32","$(OS_TYPE)"),unix) \
+	decoder playlists encoder protocols plugins stream lang \
 	ogg_formats converters operators sources conversions outputs io \
 	visualization analyze synth harbor lang_encoders encoder_formats
 
@@ -196,6 +199,8 @@
 $(call conditional_compilation,io,$(W_PORTAUDIO),io/portaudio_io.ml)
 
 tools = tools/extralib.ml tools/doc.ml tools/utils.ml tools/plug.ml \
+	$(if $(filter-out "Unix","$(OS_TYPE)"),win32/process_utils.mli win32/process_utils.ml) \
+	$(if $(filter-out "Win32","$(OS_TYPE)"),unix/process_utils.mli unix/process_utils.ml) \
 	tools/rqueue.ml \
 	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
 	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
@@ -227,7 +232,7 @@
 builtins = lang/lang_builtins.ml lang/builtins_json.ml \
            lang/builtins_harbor.ml lang/builtins_dtools.ml \
            lang/builtins_time.ml lang/builtins_callbacks.ml \
-					 lang/builtins_server.ml \
+					 lang/builtins_server.ml lang/builtins_math.ml \
            $(if $(W_SSL),lang/builtins_https.ml lang/builtins_harbor_ssl.ml) \
            $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_https_secure_transport.ml lang/builtins_harbor_secure_transport.ml)
 
@@ -266,6 +271,3 @@
 $(call conditional_compilation,operators,$(W_GD),operators/video_text_gd.ml)
 
 # GStreamer
-$(call conditional_compilation,stream,$(W_GSTREAMER),tools/gstreamer_utils.ml)
-$(call conditional_compilation,decoders,$(W_GSTREAMER),decoder/gstreamer_decoder.ml)
-$(call conditional_compilation,encoders,$(W_GSTREAMER),encoder/gstreamer_encoder.ml)
