=== debian/changelog ===
liquidsoap (1.3.7-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 23:11:46 +0200

liquidsoap (1.3.7-1) unstable; urgency=medium

  [ Kyle Robbertze ]
  * Drop unsatisfiable recommends on mp3gain
  * New upstream version 1.3.7
  * Install changelog
  * Update dependencies (Closes: #909448)
  * Move to debhelper-compat
  * Bump Standards-Version to 4.4.0 (No change)
  * Patch out syntax error
  * Declare recommends on emacs for elpa package
  * Refresh patches
  * Install example scripts

  [ Stephane Glondu ]
  * Remove Samuel and Romain from Uploaders

  [ Kyle Robbertze ]
  * Add override for ocaml-ssl
  * Install extract-replaygain correctly
  * Drop dh-exec useless build-dependency
  * Update copyright years
  * Drop DSSI support

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Aug 2019 22:42:52 +0200
